## sox-ng 14.7.0.6+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)

macro(optional variable header library function source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library} ${function} "" ${variable})
    if (${variable})
      set(optional_srcs ${optional_srcs} ${source})
      set(optional_libs ${optional_libs} ${library})
    endif (${variable})
  endif (${variable}1)
endmacro(optional)

macro(optional2 variable header library1 function1 library2 function2 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable})
      if (${variable})
	set(optional_srcs ${optional_srcs} ${source})
	set(optional_libs ${optional_libs} ${library1} ${library2})
      endif (${variable})
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional2)

macro(optional3 variable header library1 function1 library2 function2 library3 function3 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable})
        if (${variable})
          set(optional_srcs ${optional_srcs} ${source})
          set(optional_libs ${optional_libs} ${library1} ${library2} ${library3})
        endif (${variable})
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional3)

macro(optional4 variable header library1 function1 library2 function2 library3 function3 library4 function4 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable}4)
	if (${variable}4)
	  check_library_exists(${library4} ${function4} "" ${variable})
	  if (${variable})
	    set(optional_srcs ${optional_srcs} ${source})
	    set(optional_libs ${optional_libs} ${library1} ${library2} ${library3} ${library4})
	  endif (${variable})
	endif (${variable}4)
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional4)

project(sox_ng C)

if(CMAKE_COMPILER_IS_GNUCC)
	add_definitions(-fstack-protector -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic -Wno-format -Wno-long-long)
endif(CMAKE_COMPILER_IS_GNUCC)

include(TestBigEndian)

check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
check_include_files("inttypes.h"         HAVE_INTTYPES_H)
check_include_files("fenv.h"             HAVE_FENV_H)
check_include_files("glob.h"             HAVE_GLOB_H)
check_include_files("io.h"               HAVE_IO_H)
#check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
check_include_files("stdint.h"           HAVE_STDINT_H)
check_include_files("string.h"           HAVE_STRING_H)
check_include_files("strings.h"          HAVE_STRINGS_H)
check_include_files("sys/queue.h"        HAVE_SYS_QUEUE_H)
check_include_files("sys/stat.h"         HAVE_SYS_STAT_H)
check_include_files("sys/time.h"         HAVE_SYS_TIME_H)
check_include_files("sys/timeb.h"        HAVE_SYS_TIMEB_H)
check_include_files("sys/types.h"        HAVE_SYS_TYPES_H)
check_include_files("sys/utsname.h"      HAVE_SYS_UTSNAME_H)
check_include_files("termios.h"          HAVE_TERMIOS_H)
check_include_files("unistd.h"           HAVE_UNISTD_H)

check_function_exists("fmemopen"         HAVE_FMEMOPEN)
check_function_exists("fseeko"           HAVE_FSEEKO)
check_function_exists("gettimeofday"     HAVE_GETTIMEOFDAY)
check_function_exists("mkstemp"          HAVE_MKSTEMP)
check_function_exists("popen"            HAVE_POPEN)
check_function_exists("strcasecmp"       HAVE_STRCASECMP)
check_function_exists("strrstr"          HAVE_STRRSTR)
check_function_exists("vsnprintf"        HAVE_VSNPRINTF)

test_big_endian(WORDS_BIGENDIAN)

optional(NEED_LIBM math.h m pow "")
if(NEED_LIBM)
  set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
  optional(HAVE_LRINT math.h m lrint "")
else(NEED_LIBM)
  check_function_exists("lrint" HAVE_LRINT)
endif(NEED_LIBM)
optional(EXTERNAL_DOLBYB dolbyb.h dolbyb dolbyb_init "")
optional(EXTERNAL_EBUR128 ebur128.h ebur128 ebur128_init "")
optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
optional(HAVE_ALSA alsa/asoundlib.h asound snd_pcm_open alsa)
optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
if(CMAKE_COMPILER_IS_GNUCC)
  optional(HAVE_GOMP omp.h gomp omp_get_thread_num "")
  if(HAVE_GOMP)
    add_definitions(-fopenmp)
  endif(HAVE_GOMP)
endif(CMAKE_COMPILER_IS_GNUCC)
optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
optional(HAVE_AO ao/ao.h ao ao_play ao)
optional(HAVE_FLAC FLAC/all.h FLAC FLAC__stream_encoder_new flac)
optional(HAVE_MAD_H mad.h mad mad_stream_buffer mp3)
optional(HAVE_LAME_LAME_H lame/lame.h mp3lame lame_get_lametag_frame mp3)
if (NOT HAVE_LAME_LAME_H)
  optional(HAVE_LAME_LAME_H lame.h mp3lame lame_get_lametag_frame mp3)
endif (NOT HAVE_LAME_LAME_H)
optional(HAVE_TWOLAME_H twolame.h twolame twolame_init mp3)
optional(HAVE_MAGIC magic.h magic magic_open "")
optional2(HAVE_PNG png.h png png_set_rows z uncompress spectrogram)
if (HAVE_PNG)
  check_library_exists(z uncompress "" spectrogram1)
  if (${spectrogram1})
    set(optional_libs ${optional_libs} z)
  endif (${spectrogram1})
endif (HAVE_PNG)
optional2(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulse pa_strerror pulseaudio)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sndfile)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual caf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual fap)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat4)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat5)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual paf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual pvf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sd2)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual w64)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual xi)
optional(HAVE_SPEEXDSP speex/speex_preprocess.h speexdsp speex_preprocess_run speexdsp)
optional(HAVE_SUN_AUDIOIO_H sun/audioio.h c ioctl sunaudio)
if (NOT HAVE_SUN_AUDIOIO_H)
  optional(HAVE_SYS_AUDIOIO_H sys/audioio.h c ioctl sunaudio)
endif (NOT HAVE_SUN_AUDIOIO_H)
optional(HAVE_SYS_SOUNDCARD_H sys/soundcard.h c ioctl oss)
if (NOT HAVE_SYS_SOUNDCARD_H)
  optional(HAVE_MACHINE_SOUNDCARD_H machine/soundcard.h ossaudio _oss_ioctl oss)
endif (NOT HAVE_SYS_SOUNDCARD_H)
optional(HAVE_WAVEAUDIO mmsystem.h winmm waveInGetDevCapsA waveaudio)
optional4(HAVE_OGG_VORBIS vorbis/codec.h ogg ogg_stream_flush vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
optional3(HAVE_OPUS opusfile.h ogg ogg_stream_flush opus opus_encoder_create opusfile op_open_callbacks opus)
optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)

if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
  set(HAVE_MP3 1)
endif (HAVE_LAME_LAME_H OR HAVE_MAD_H)

set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
check_function_exists("id3tag_set_fieldvalue" HAVE_LAME_ID3TAG)

if (HAVE_LAME_LAME_H AND (NOT WIN32))
  check_library_exists(iconv iconv "" HAVE_ICONV)
  if (HAVE_ICONV)
    set(optional_libs ${optional_libs} iconv)
  endif (HAVE_ICONV)
endif (HAVE_LAME_LAME_H AND (NOT WIN32))

if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
  set(HAVE_SUN_AUDIO 1)
endif (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)

if (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)
  set(HAVE_OSS 1)
endif (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)

configure_file(sox_ng.pc.in sox_ng.pc @ONLY)
install_files(/lib/pkgconfig FILES sox_ng.pc)

subdirs(src)

if (NOT EXTERNAL_DOLBYB)
  add_subdirectory(libdolbyb)
endif (NOT EXTERNAL_DOLBYB)

if (NOT EXTERNAL_EBUR128)
  add_subdirectory(libebur128)
endif (NOT EXTERNAL_EBUR128)

if (NOT EXTERNAL_GSM)
  add_subdirectory(libgsm)
endif (NOT EXTERNAL_GSM)

if (NOT EXTERNAL_LPC10)
  add_subdirectory(lpc10)
endif (NOT EXTERNAL_LPC10)

if(APPLE)
	find_library(COREAUDIO_LIBRARY CoreAudio)
	mark_as_advanced(COREAUDIO_LIBRARY)
	if(COREAUDIO_LIBRARY)
		set(HAVE_COREAUDIO 1)
		set(optional_srcs ${optional_srcs} coreaudio)
	endif(COREAUDIO_LIBRARY)
	set(optional_libs ${optional_libs} ${COREAUDIO_LIBRARY})
endif(APPLE)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/soxconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/soxconfig.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(CMAKE_COMPILER_IS_GNUCC)
  execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
    OUTPUT_VARIABLE ver)
  string(REGEX REPLACE "([0-9]+)\\.([0-9]+).*" "\\1" major "${ver}")
  string(REGEX REPLACE "([0-9]+)\\.([0-9]+).*" "\\2" minor "${ver}")
  math(EXPR ver "100 * ${major} + ${minor}")
  if(${ver} LESS 403)
    add_definitions(-Wconversion)
  else(${ver} LESS 403)
    add_definitions(-Wtraditional-conversion)
  endif(${ver} LESS 403)
  #add_definitions(-Werror)
endif(CMAKE_COMPILER_IS_GNUCC)

if (NOT EXTERNAL_DOLBYB)
  set(optional_libs ${optional_libs} dolbyb)
endif (NOT EXTERNAL_DOLBYB)

if (NOT EXTERNAL_GSM)
  set(optional_libs ${optional_libs} gsm)
endif (NOT EXTERNAL_GSM)

set(effects_srcs
  bend
  biquad
  biquads
  chorus
  compand
  compandt
  contrast
  dcshift
  delay
  dft_filter
  dither
  dolbyb
  dop
  downsample
  earwax
  echo
  echos
  fade
  fft4g
  fir
  firfit
  flanger
  gain
  hilbert
  input
  loudness
  mcompand
  noiseprof
  noisered
  output
  overdrive
  pad
  phaser
  rate
  remix
  repeat
  reverb
  reverse
  saturation
  sdm
  silence
  sinc
  skeleff
  softvol
  speed
  speexdsp
  splice
  stat
  stats
  stretch
  swap
  synth
  tempo
  tremolo
  trim
  upsample
  vad
  vol
)
set(formats_srcs
  8svx
  adpcm
  adpcms
  aifc-fmt
  aiff
  aiff-fmt
  al-fmt
  au
  avr
  cdr
  cvsd
  cvsd-fmt
  dat
  dsdiff
  dsf
  dvms-fmt
  f4-fmt
  f8-fmt
  g711
  g721
  g723_24
  g723_40
  g72x
  gsm
  gsrt
  hcom
  htk
  ima-fmt
  ima_rw
  la-fmt
  lpc10
  lu-fmt
  maud
  nulfile
  nsp
  prc
  raw
  raw-fmt
  s1-fmt
  s2-fmt
  s3-fmt
  s4-fmt
  sdm
  sf
  skelform
  smp
  sounder
  soundtool
  sox-fmt
  sphere
  tx16w
  u1-fmt
  u2-fmt
  u3-fmt
  u4-fmt
  ul-fmt
  voc
  vox
  vox-fmt
  wav
  wve
  xa
)

# Uncomment for bit-rot detection on linux
#set(formats_srcs ${formats_srcs} coreaudio sndio sunaudio waveaudio)
#add_definitions(-Ibit-rot)

add_library(lib${PROJECT_NAME}
  effects                 formats_i               libsox_i
  effects_i               ${formats_srcs}         ${optional_srcs}
  effects_i_dsp           getopt
  ${effects_srcs}         util
  formats                 libsox_ng                  xmalloc
)
add_executable(${PROJECT_NAME} ${PROJECT_NAME}.c)
target_link_libraries(${PROJECT_NAME} lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(sox_sample_test sox_sample_test.c)
add_executable(example0 example0.c)
target_link_libraries(example0 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example1 example1.c)
target_link_libraries(example1 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example2 example2.c)
target_link_libraries(example2 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example3 example3.c)
target_link_libraries(example3 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example4 example4.c)
target_link_libraries(example4 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example5 example5.c)
target_link_libraries(example5 lib${PROJECT_NAME} lpc10 ${optional_libs})
add_executable(example6 example6.c)
target_link_libraries(example6 lib${PROJECT_NAME} lpc10 ${optional_libs})
find_program(LN ln)
if (LN)
  add_custom_target(rec_ng ALL ${LN} -sf sox_ng rec_ng DEPENDS sox_ng)
  add_custom_target(play_ng ALL ${LN} -sf sox_ng play_ng DEPENDS sox_ng)
  add_custom_target(soxi_ng ALL ${LN} -sf sox_ng soxi_ng DEPENDS sox_ng)
endif (LN)
find_program(CTAGS NAMES exuberant-ctags ctags)
add_custom_target(tags ${CTAGS} --recurse --extra=fq ${CMAKE_CURRENT_SOURCE_DIR})

## sox-ng 14.7.0.3+ds1

=== debian/changelog ===
sox-ng (14.7.0.3+ds1-1) experimental; urgency=medium

  * Switch to sox_ng (Closes: #1108753)
  * SONAME bump: libsox3 -> libsox-ng3
  * Apply wrap-and-sort
  * debian/control:
    - Remove old Conflicts+Replaces
    - Bump Standards-Version
    - Remove RRR
    - Add Build-Depends on libebur128-dev, lbiflac-dev, and libfftw3-dev
    - Remove unused libsamplerate-dev build dependency
    - Add myself to Uploaders
  * debian/rules:
    - Remove obsolete workaround for mips*
    - Build to replace sox
  * debian/:
    - Remove outdated documentation
    - Directly include pulseaudio plugin
  * debian/patches: Remove all patches
  * debian/copyright:
    - Remove embedded code copies of libebur128 and libgsm
    - Update for sox_ng

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Dec 2025 17:53:59 +0100

sox (14.4.2+git20190427-5) unstable; urgency=medium

  * Team upload
  * Add patch to fix compilation with gcc-14 (Closes: #1075528).
  * Add patch to fix vorbis memory leaks (Closes: #1029974).
  * Enable support for Opus (Closes: #905166).
  * Add "Build-Depends-Package" to symbols file.

 -- Joachim Bauch <fancycode@debian.org>  Fri, 04 Oct 2024 21:40:28 +0200

sox (14.4.2+git20190427-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
  * debian/patches: Refresh patches

  [ Bastien Roucariès ]
  * Add patch for CVE-2023-32627 (Closes: #1041112)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 18:26:02 +0100

sox (14.4.2+git20190427-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix regression in wav-gsm decodeing introduced via fixing CVE-2021-33844.
    (Closes: #1032082)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 12 Mar 2023 10:07:49 +0100

sox (14.4.2+git20190427-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on all mipsen (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 07 Feb 2023 22:21:09 +0100

sox (14.4.2+git20190427-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore test failure on mips64el (Addresses: #1030674)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 06 Feb 2023 13:02:25 +0100

sox (14.4.2+git20190427-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the CVE-unasssigned patch together with my own unnecessary change
    introducing the vulnerability: The buffer is overallocated by 16-1 bytes
    already and we don't overflow if we don't add to it.
  * Replace CVE-2017-11358 patch with the non-broken one from upstream
  * Fix big endian 64bit FTBFS: Import upstream patch to fix hcom writing
  * Improve CVE-2021-23159 patch to also reject empty dictionaries.
    The incomplete fix would allow an out-of-bounds read.
  * Improve CVE-2021-3643 patch to also reject word width 1.
    The incomplete fix would allow an out-of-bounds read.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 05 Feb 2023 13:13:59 +0100

sox (14.4.2+git20190427-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix some resource leaks.
  * Fix regression in hcom reader introduced via CVE-2017-11358. (Closes:
    #933372)
  * Enable test suite.
  * Fix CVE-2021-3643 and CVE-2021-23210: voc validation (Closes: #1010374)
  * Fix CVE-2021-23159 and CVE-2021-23172: hcom validation
    (Closes: #1021133, #1021134)
  * Fix CVE-2021-33844: wav validation (Closes: #1021135)
  * Fix CVE-2021-40426: sphere validation (Closes: #1012138)
  * Fix CVE-2022-31650: aiff validation (Closes: #1012516)
  * Fix CVE-2022-31651: reject implausible rate (Closes: #1012516)
  * Fix CVE-unasssigned: integer overflow
  * Silence dh_missing
  * Add an autopkgtest

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Feb 2023 10:21:33 +0100

sox (14.4.2+git20190427-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 12.16-1, 12.14-1, 11gamma-cb3-
    5, 11gamma-cb3-4.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Replace libltdl3-dev with libltdl-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 10:10:57 +0200

sox (14.4.2+git20190427-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * Add patch to fix CVE-2019-13590.
    Thanks to Salvatore Bonaccorso. (Closes: #932082)
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Set RRR: no

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:36:08 +0100

sox (14.4.2+git20190427-1) unstable; urgency=medium

  * Add patches to fix CVE-2019-8354, CVE-2019-8355, CVE-2019-8356 and
    CVE-2019-8357. Thanks to Moritz Muehlenhoff. (Closes: #927906)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Apr 2019 15:57:59 -0400

sox (14.4.2-3) unstable; urgency=medium

  * Patch 0005 refreshed. (Closes: #882599)
  * Improve english in d/bug-presubj file. (Closes: #882601)
  * Bump Standards.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 18 Dec 2017 14:55:07 +0100

sox (14.4.2-2) unstable; urgency=medium

  * Upload to unstable to start transition.
  * Add patch to fix CVE-2017-15372. (Closes: #878808)
  * Add patch to fix CVE-2017-15642. (Closes: #882144)
  * Add patch to fix CVE-2017-11333 in vorbis lib. (Closes: #882236)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 24 Nov 2017 09:12:48 +0100

sox (14.4.2-1) experimental; urgency=medium

  [ Jaromír Mikeš ]
  * New upstream version 14.4.2 (Closes: #800344)
  * Set compat/dh 10.
  * Bump Standards.
  * Adopt package.(Closes: #876904)


=== debian/control ===
Source: sox-ng
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Sebastian Ramacher <sramacher@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libao-dev,
 libasound2-dev [linux-any],
 libebur128-dev,
 libfftw3-dev,
 libflac-dev,
 libgsm1-dev,
 libid3tag0-dev,
 libltdl-dev,
 libmad0-dev,
 libmagic-dev,
 libmp3lame-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopusfile-dev,
 libpng-dev,
 libpulse-dev,
 libsndfile1-dev,
 libtwolame-dev,
 libvorbis-dev,
 libwavpack-dev,
 time <!nocheck>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/sox-ng.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sox-ng
Homepage: https://codeberg.org/sox_ng/sox_ng

Package: sox
Architecture: any
Depends:
 libsox-fmt-base (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-ao (= ${binary:Version}) | libsox-fmt-oss (= ${binary:Version}),
 libsox-fmt-all,
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package e.g. mp3 read and write support is provided by libsox-fmt-mp3.
 .
 SoX supports most common sound architectures i.e. Alsa, Libao, OSS and Pulse
 (respectively provided by libsox-fmt-alsa, libsox-fmt-ao, and libsox-fmt-oss).
 It also supports LADSPA plugins.

Package: libsox-ng3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsox-fmt-alsa [linux-any] | libsox-fmt-ao | libsox-fmt-oss,
 libsox-fmt-base,
Suggests:
 libsox-fmt-all,
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base.
 Sound card I/O requires libsox-fmt-alsa, libsox-fmt-ao, libsox-fmt-oss or
 libsox-fmt-pulse.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.
 .
 alsa: https://www.alsa-project.org/main/index.php/Main_Page

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Libao format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Libao format I/O library.
 .
 libao: https://xiph.org/ao

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX MP2 and MP3 format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX MP2 and MP3 format library.
 Read support by libmad. MP2 and MP3 write support by libtwolame and
 libmp3lame respectively.
 .
 libmad: https://www.underbit.com/products/mad/
 lame: https://lame.sourceforge.io

Package: libsox-fmt-opus
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Opus format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Opus format library.
 .
 Opus: http://www.opus-codec.org/

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.
 .
 Open Sound System: http://www.opensound.com/oss.html

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any],
 libsox-fmt-ao (= ${binary:Version}),
 libsox-fmt-base (= ${binary:Version}),
 libsox-fmt-mp3 (= ${binary:Version}),
 libsox-fmt-opus (= ${binary:Version}),
 libsox-fmt-oss (= ${binary:Version}),
 ${misc:Depends},
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsox-fmt-all (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This library allow you to convert various formats of computer audio files
 in to other formats. It also allows you to apply
 various effects to sound files.
 .
 This package contains the development files for the SoX library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/vendor.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-replace \
		--with-distro="$(DEB_VENDOR)" \
		--with-dyn-default \
		--with-pulseaudio=yes

override_dh_bugfiles:
	dh_bugfiles -A

## sox-ng 14.7.0.4%2Bds1

=== debian/changelog ===
sox-ng (14.7.0.4+ds1-4) unstable; urgency=medium

  * debian/patches: Apply upstream fix for ioctl errors
  * debian/tests: Revert "Allow output on stderr"

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jan 2026 15:13:21 +0100

sox-ng (14.7.0.4+ds1-3) unstable; urgency=medium

  * debian/: Reenable flac and mp3 plugin (Closes: #1125788)
    The fallback to sndfile does not work as expected.
  * debian/tests: Allow output on stderr

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jan 2026 10:25:29 +0100

sox-ng (14.7.0.4+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/: Remove no longer up-to-date bug presubj
  * debian/control:
    - Add libspeex-dev and libsppexdsp-dev to Build-Depends
    - Add ffmpeg to Suggests for additional formats
    - Apply wrap-and-sort
    - Bump Standards-Version
    - Remove redundant Priority: optional
    - Remove no longer needed build dependency on time

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2026 21:14:23 +0100

sox-ng (14.7.0.4+ds1-1) experimental; urgency=medium

  * New upstream version 14.7.0.4+ds1
  * debian/symbols:
    - Mark lpc10 symbols as internal
    - Mark all lsx_ symbols as internal
  * debian/:
    - Use sndfile for MP2/MP3/FLAC
    - Make libsox-fmt-mp3 and libsox-fmt-pulse transitional packages
    - Remove libao support
  * debian/control: Update descriptions

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2026 09:04:15 +0100

## sox-ng 14.7.0.4+ds1

=== debian/control ===
Source: sox-ng
Section: sound
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Sebastian Ramacher <sramacher@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ladspa-sdk,
 libasound2-dev [linux-any],
 libebur128-dev,
 libfftw3-dev,
 libgsm1-dev,
 libid3tag0-dev,
 libltdl-dev,
 libmagic-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libopusfile-dev,
 libpng-dev,
 libpulse-dev,
 libsndfile1-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libvorbis-dev,
 libwavpack-dev,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/multimedia-team/sox-ng.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sox-ng
Homepage: https://codeberg.org/sox_ng/sox_ng

Package: sox
Architecture: any
Depends:
 libsox-fmt-base (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libsox-fmt-all,
 libsox-fmt-alsa (= ${binary:Version}) [linux-any] | libsox-fmt-oss (= ${binary:Version}),
Description: Swiss army knife of sound processing
 SoX is a command line utility that can convert various formats of computer
 audio files in to other formats. It can also apply various effects to these
 sound files during the conversion. As an added bonus, SoX can play and record
 audio files on several unix-style platforms.
 .
 SoX is able to handle formats like Ogg Vorbis, MP3, WAV, AIFF, VOC, SND, AU,
 GSM and several more.
 Any format support requires at least libsox-fmt-base. Some formats have their
 own package.
 .
 SoX supports most common sound architectures i.e. Alsa, OSS, and Pulse
 (respectively provided by libsox-fmt-alsa, and libsox-fmt-oss).
 It also supports LADSPA plugins.

Package: libsox-ng3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libsox-fmt-alsa [linux-any] | libsox-fmt-oss,
 libsox-fmt-base,
Suggests:
 ffmpeg,
 libsox-fmt-all,
Description: SoX library of audio effects and processing
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX library which enables to convert various formats
 of computer audio files in to other formats. It also allows you to apply
 various effects to sound files.
 .
 Any format support requires at least libsox-fmt-base. Sound output via
 PulseAudio is enabled by default. Additional output plugins are provided by
 libsox-fmt-alsa, or libsox-fmt-oss.

Package: libsox-fmt-base
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Minimal set of SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This package contains most audio formats libraries supported by SoX.
 Among them: Ogg Vorbis, WAV, AIFF, VOC, SND, AU, GSM, WavPack, LPC10, FLAC,
 MATLAB/GNU Octave, Portable Voice Format, AMR and Sound Forge Audio Format.

Package: libsox-fmt-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX alsa format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX alsa format I/O library.

Package: libsox-fmt-opus
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX Opus format library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Opus format library.

Package: libsox-fmt-oss
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SoX OSS format I/O library
 SoX is the swiss army knife of sound processing.
 .
 This package contains the SoX Open Sound System (OSS)
 format I/O library.

Package: libsox-fmt-all
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 libsox-fmt-alsa (= ${binary:Version}) [linux-any],
 libsox-fmt-base (= ${binary:Version}),
 libsox-fmt-opus (= ${binary:Version}),
 libsox-fmt-oss (= ${binary:Version}),
 ${misc:Depends},
Description: All SoX format libraries
 SoX is the swiss army knife of sound processing.
 .
 This is a metapackage depending on all free SoX format libraries.

Package: libsox-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsox-fmt-all (= ${binary:Version}),
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the SoX library
 SoX is the swiss army knife of sound processing.
 .
 This library allow you to convert various formats of computer audio files
 in to other formats. It also allows you to apply
 various effects to sound files.
 .
 This package contains the development files for the SoX library.

Package: libsox-fmt-ao
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-fmt-base (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-fmt-base
 This is a transitional package. It can safely be removed.

Package: libsox-fmt-mp3
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-fmt-base (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-fmt-base
 This is a transitional package. It can safely be removed.

Package: libsox-fmt-pulse
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 libsox-ng3 (= ${binary:Version}),
 ${misc:Depends},
Description: Transitional package for libsox-ng3
 This is a transitional package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 		--enable-replace \
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
-		--with-pulseaudio=yes
-
-override_dh_bugfiles:
-	dh_bugfiles -A
+		--with-pulseaudio=yes \
+		--with-flac=no \
+		--with-ao=no \
+		--without-lame \
+		--without-mad \
+		--without-twolame

## sox-ng 14.7.0.6+ds1

=== debian/changelog ===
sox-ng (14.7.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.6+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Jan 2026 14:16:56 +0100

## sox-ng 14.7.0.7+ds1

=== debian/changelog ===
sox-ng (14.7.0.7+ds1-2) unstable; urgency=medium

  * debian/rules: Disable ffmpeg support (Closes: #1127875)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Feb 2026 10:10:06 +0100

sox-ng (14.7.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Feb 2026 18:41:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
 		--with-pulseaudio=yes \
-		--with-flac=no \
 		--with-ao=no \
-		--without-lame \
-		--without-mad \
-		--without-twolame
+		--without-ffmpeg

## sox-ng 14.7.0.9+ds1

=== debian/changelog ===
sox-ng (14.7.0.9+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.0.9+ds1
  * debian/rules: Re-enable ffmpeg support

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Feb 2026 21:13:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,13 @@
  libasound2-dev [linux-any],
  libebur128-dev,
  libfftw3-dev,
+ libflac-dev,
  libgsm1-dev,
  libid3tag0-dev,
  libltdl-dev,
+ libmad0-dev,
  libmagic-dev,
+ libmp3lame-dev,
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
  libopusfile-dev,
@@ -22,6 +25,7 @@
  libsndfile1-dev,
  libspeex-dev,
  libspeexdsp-dev,
+ libtwolame-dev,
  libvorbis-dev,
  libwavpack-dev,
 Standards-Version: 4.7.3

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,4 @@
 		--with-distro="$(DEB_VENDOR)" \
 		--with-dyn-default \
 		--with-pulseaudio=yes \
-		--with-ao=no \
-		--without-ffmpeg
+		--with-ao=no

=== debian/tests/control ===
Test-Command: ln -s /bin/true $AUTOPKGTEST_TMP/sox_sample_test && ./src/tests.sh --bindir=/usr/bin --builddir=$AUTOPKGTEST_TMP --srcdir=src
Depends:
 sox,
 time,

=== debian/watch ===
Version: 5

Source: https://codeberg.org/api/v1/repos/sox_ng/sox_ng/releases
Matching-Pattern: https://codeberg.org/sox_ng/sox_ng/archive/sox_ng-(\d[\d.]*)@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
Repacksuffix: +ds1
Dversion-Mangle: auto

## sox-ng 14.7.1+ds1

=== libdolbyb/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(dolbyb Calibrate DCfilter DiodeClip FindOutSmp HPF1 HPF2 HPF2SetVals HPFAdj LPFAdj Param SetGate SidePath libdolbyb)

=== debian/changelog ===
sox-ng (14.7.1+ds1-1) unstable; urgency=medium

  * New upstream version 14.7.1+ds1
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 27 Feb 2026 11:24:14 +0100
